## ayatana-indicator-bluetooth 0.8.1

=== CMakeLists.txt ===
project(ayatana-indicator-bluetooth C CXX)
cmake_minimum_required(VERSION 2.8.9)

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake" "${CMAKE_MODULE_PATH}")

set(PACKAGE ${CMAKE_PROJECT_NAME})
set(PROJECT_VERSION 0.8.1)
find_package(PkgConfig REQUIRED)
include(GNUInstallDirs)
include(UseVala)

set(GETTEXT_PACKAGE "ayatana-indicator-bluetooth")
set(LOCALEDIR "${CMAKE_INSTALL_FULL_DATADIR}/locale")
add_definitions( -DGETTEXT_PACKAGE="${GETTEXT_PACKAGE}" )

set(SOURCE_DIR "${CMAKE_SOURCE_DIR}/src")
set(SOURCE_BINARY_DIR "${CMAKE_BINARY_DIR}/src")

set(GLIB_2_0_REQUIRED_VERSION 2.32)
set(GIO_2_0_REQUIRED_VERSION 2.25.13)

pkg_check_modules(
    BLUETOOTHSERVICE REQUIRED
    glib-2.0>=${GLIB_2_0_REQUIRED_VERSION}
    gio-unix-2.0>=${GIO_2_0_REQUIRED_VERSION}
)

include_directories(${BLUETOOTHSERVICE_INCLUDE_DIRS})

set(URL_DISPATCHER_REQUIRED_VERSION 0.1)

pkg_check_modules(
  URLDISPATCHER
  lomiri-url-dispatcher>=${URL_DISPATCHER_REQUIRED_VERSION}
)
include_directories(${URLDISPATCHER_INCLUDE_DIRS})

find_package(Vala 0.20)

find_package(GObjectIntrospection 0.9.12)

include_directories(${SOURCE_DIR})
include_directories(${SOURCE_BINARY_DIR})

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=c11")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")

add_definitions(
  -Wall
)

configure_file(
  "config.h.in"
  "${CMAKE_CURRENT_BINARY_DIR}/config.h"
)

add_subdirectory(data)
add_subdirectory(src)
add_subdirectory(po)

=== src/CMakeLists.txt ===
###########################
# Vala Generation
###########################

set(HEADER_PATH "${CMAKE_CURRENT_BINARY_DIR}/ayatana-indicator-bluetooth-service.h")
set(SYMBOLS_PATH "${CMAKE_CURRENT_BINARY_DIR}/ayatana-indicator-bluetooth-service.def")
set(VAPI_PATH "${CMAKE_CURRENT_BINARY_DIR}/ayatana-indicator-bluetooth-service.vapi")

if(URLDISPATCHER_FOUND)
    set (VALA_DEFINE_URLDISPATCHER "--define=HAS_URLDISPATCHER")
    set (VALA_PKG_URLDISPATCHER "url-dispatcher")
endif()

vala_init(ayatana-indicator-bluetooth-service
  DEPENDS
  PACKAGES
    config
    rfkill
    posix
    gio-2.0
    gio-unix-2.0
    ${VALA_PKG_URLDISPATCHER}
  OPTIONS
    --ccode
    --target-glib=${GLIB_2_0_REQUIRED_VERSION}
    --vapidir=${CMAKE_SOURCE_DIR}/vapi/
    --vapidir=.
    ${VALA_DEFINE_URLDISPATCHER}
)

vala_add(ayatana-indicator-bluetooth-service
main.vala
    DEPENDS
    service
    bluetooth
    device
    bluez
    killswitch
)

vala_add(ayatana-indicator-bluetooth-service
    bluetooth.vala
        DEPENDS
        device
)

vala_add(ayatana-indicator-bluetooth-service
    bluez.vala
        DEPENDS
        bluetooth
        killswitch
        device
)

vala_add(ayatana-indicator-bluetooth-service
    desktop.vala
        DEPENDS
        profile
        bluetooth
        device
)

vala_add(ayatana-indicator-bluetooth-service
    device.vala
)

vala_add(ayatana-indicator-bluetooth-service
  killswitch.vala
)

vala_add(ayatana-indicator-bluetooth-service
    phone.vala
        DEPENDS
        profile
        bluetooth
        device
)

vala_add(ayatana-indicator-bluetooth-service
    profile.vala
        DEPENDS
        bluetooth
        device
)

vala_add(ayatana-indicator-bluetooth-service
    service.vala
        DEPENDS
        bluetooth
        profile
        device
        phone
        desktop
)

vala_finish(ayatana-indicator-bluetooth-service
  SOURCES
    project_VALA_SOURCES
  OUTPUTS
    project_VALA_C
  GENERATE_HEADER
    ${HEADER_PATH}
  GENERATE_SYMBOLS
    ${SYMBOLS_PATH}
  GENERATE_VAPI
    ${VAPI_PATH}
)

set_source_files_properties(
  ${project_VALA_SOURCES}
  PROPERTIES
  HEADER_FILE_ONLY TRUE
)

set(
  INDICATOR_BLUETOOTH_SOURCES
  ${project_VALA_SOURCES}
  ${project_VALA_C}
  ${SYMBOLS_PATH}
)

###########################
# Lib
###########################

add_definitions(
  -w
  -DG_LOG_DOMAIN="ayatana-indicator-bluetooth"
)

add_library(
    ayatana-indicator-bluetooth-service-lib STATIC
    ${INDICATOR_BLUETOOTH_SOURCES}
)

target_link_libraries(
  ayatana-indicator-bluetooth-service-lib
  ${BLUETOOTHSERVICE_LIBRARIES}
  ${URLDISPATCHER_LIBRARIES}
  -lm
)

###########################
# Executable
###########################

include_directories(${CMAKE_BINARY_DIR})

add_executable(
  ayatana-indicator-bluetooth-service-bin
  ${project_VALA_C}
)

set_target_properties(
  ayatana-indicator-bluetooth-service-bin
  PROPERTIES
  OUTPUT_NAME "ayatana-indicator-bluetooth-service"
)

target_link_libraries(
  ayatana-indicator-bluetooth-service-bin
  ayatana-indicator-bluetooth-service-lib
)

###########################
# Installation
###########################

install(
  TARGETS ayatana-indicator-bluetooth-service-bin
  RUNTIME DESTINATION ${CMAKE_INSTALL_LIBEXECDIR}/ayatana-indicator-bluetooth/
)

# coverage reporting
set(COVERAGE_TARGETS
  ${COVERAGE_TARGETS}
  ayatana-indicator-bluetooth-service-lib
  ayatana-indicator-bluetooth-service-bin
  PARENT_SCOPE
)

=== debian/changelog ===
ayatana-indicator-bluetooth (0.8.1-1) unstable; urgency=medium

  * New upstream release:
    - Fix flawed license headers in src/*.vala (being a mix of GPL-3
      and LGPL license text fragments).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 30 Oct 2020 15:03:28 +0100

ayatana-indicator-bluetooth (0.8.0-1) REJECTED; urgency=medium

  * Initial upload to Debian. (Closes: #973046).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 27 Oct 2020 17:03:08 +0100

=== debian/control ===
Source: ayatana-indicator-bluetooth
Section: misc
Priority: optional
Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Debian UBports Team <team+ubports@tracker.debian.org>,
Build-Depends: debhelper-compat (= 13),
               cmake,
               cmake-extras (>= 0.10),
               intltool,
               libglib2.0-dev (>= 2.32.0),
               systemd [linux-any],
               valac (>= 0.20),
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-bluetooth
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-bluetooth.git
Vcs-Browser: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-bluetooth/

Package: ayatana-indicator-bluetooth
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         bluez (>= 5),
         unity-control-center | mate-control-center | gnome-control-center | ubuntu-system-settings,
         gnome-bluetooth | ubuntu-system-settings | blueman-manager,
         ayatana-indicator-common,
Replaces: gnome-bluetooth (<< 3.6.1-0ubuntu2),
          indicator-bluetooth,
Breaks: gnome-bluetooth (<< 3.6.1-0ubuntu2),
        indicator-bluetooth,
Description: Ayatana Indicator for managing Bluetooth devices
 This Ayatana Indicator exposes bluetooth functionality via the system
 indicator API and provides fast user controls for Bluetooth devices.
 .
 Ayatana Indicators are only available on desktop environments that
 provide a renderer for system indicators (such as MATE, Xfce, Lomiri,
 etc.).

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://releases.ayatana-indicators.org/source/ayatana-indicator-bluetooth/ayatana-indicator-bluetooth-(.+)\.tar\.gz

## ayatana-indicator-bluetooth 0.8.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake" "${CMAKE_MODULE_PATH}")
 
 set(PACKAGE ${CMAKE_PROJECT_NAME})
-set(PROJECT_VERSION 0.8.1)
+set(PROJECT_VERSION 0.8.2)
 find_package(PkgConfig REQUIRED)
 include(GNUInstallDirs)
 include(UseVala)
@@ -27,7 +27,7 @@
 
 include_directories(${BLUETOOTHSERVICE_INCLUDE_DIRS})
 
-set(URL_DISPATCHER_REQUIRED_VERSION 0.1)
+set(URL_DISPATCHER_REQUIRED_VERSION 0)
 
 pkg_check_modules(
   URLDISPATCHER

=== data/CMakeLists.txt ===

find_package(GSettings)

###########################
# Indicator service
###########################

set(
  INDICATOR_DIR
  "${CMAKE_INSTALL_DATADIR}/ayatana/indicators"
  CACHE FILEPATH "Ayatana Indicators Directory"
)

install(
  FILES "org.ayatana.indicator.bluetooth"
  DESTINATION "${INDICATOR_DIR}"
)

###########################
# Systemd Job
###########################

pkg_check_modules(SYSTEMD systemd)
if (${SYSTEMD_FOUND})

  # where to install
  pkg_get_variable(SYSTEMD_USER_DIR systemd systemduserunitdir)
  message (STATUS "${SYSTEMD_USER_DIR} is the systemd user unit file install dir")

  set (SYSTEMD_USER_NAME "${CMAKE_PROJECT_NAME}.service")
  set (SYSTEMD_USER_FILE "${CMAKE_CURRENT_BINARY_DIR}/${SYSTEMD_USER_NAME}")
  set (SYSTEMD_USER_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${SYSTEMD_USER_NAME}.in")

  # build it
  set (pkglibexecdir "${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}")
  configure_file ("${SYSTEMD_USER_FILE_IN}" "${SYSTEMD_USER_FILE}")

  # install it
  install (FILES "${SYSTEMD_USER_FILE}"
           DESTINATION "${SYSTEMD_USER_DIR}")
endif()

###########################
# XDG Autostart
###########################

set(
  INDICATOR_BLUETOOTH_XDG_AUTOSTART
  "${CMAKE_CURRENT_BINARY_DIR}/ayatana-indicator-bluetooth.desktop"
)

configure_file(
  "ayatana-indicator-bluetooth.desktop.in"
  ${INDICATOR_BLUETOOTH_XDG_AUTOSTART}
  @ONLY
)

install(
  FILES "${INDICATOR_BLUETOOTH_XDG_AUTOSTART}"
  DESTINATION "/etc/xdg/autostart"
)

###########################
# GSettings
###########################

set (SCHEMA_NAME "org.ayatana.indicator.bluetooth.gschema.xml")
set (SCHEMA_FILE "${CMAKE_CURRENT_BINARY_DIR}/${SCHEMA_NAME}")
set (SCHEMA_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${SCHEMA_NAME}.in")

# generate the .xml file using intltool
set (ENV{LC_ALL} "C")
execute_process (COMMAND intltool-merge -quiet --xml-style --utf8 --no-translations "${SCHEMA_FILE_IN}" "${SCHEMA_FILE}")

# let UseGSettings do the rest
add_schema (${SCHEMA_NAME})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 if(URLDISPATCHER_FOUND)
     set (VALA_DEFINE_URLDISPATCHER "--define=HAS_URLDISPATCHER")
-    set (VALA_PKG_URLDISPATCHER "url-dispatcher")
+    set (VALA_PKG_URLDISPATCHER "lomiri-url-dispatcher")
 endif()
 
 vala_init(ayatana-indicator-bluetooth-service

=== debian/changelog ===
ayatana-indicator-bluetooth (0.8.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.5.1. No changes needed.
  * debian/watch:
    + Update format version to 4.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 03 Feb 2021 14:26:24 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                libglib2.0-dev (>= 2.32.0),
                systemd [linux-any],
                valac (>= 0.20),
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-bluetooth
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-bluetooth.git
@@ -24,7 +24,7 @@
          ${shlibs:Depends},
          bluez (>= 5),
          unity-control-center | mate-control-center | gnome-control-center | ubuntu-system-settings,
-         gnome-bluetooth | ubuntu-system-settings | blueman-manager,
+         blueman | blueman-manager | ubuntu-system-settings | gnome-bluetooth,
          ayatana-indicator-common,
 Replaces: gnome-bluetooth (<< 3.6.1-0ubuntu2),
           indicator-bluetooth,

=== debian/rules ===
#!/usr/bin/make -f

NULL =

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:
	# Debian defines CMAKE_INSTALL_LOCALSTATEDIR as /usr/var, which is wrong.
	# So until Debian bug 719148 is fixed, do it ourselves.
	# Furthermore, we disable unit tests as there aren't any.
	dh_auto_configure -- -DCMAKE_INSTALL_LOCALSTATEDIR="/var" \
	                     -Denable_tests=off \
	                     $(NULL)

override_dh_missing:
	dh_missing --fail-missing

# For live test logs:
#override_dh_auto_test:
#	ARGS=-V dh_auto_test

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## ayatana-indicator-bluetooth 22.2.0

=== CMakeLists.txt ===
project(ayatana-indicator-bluetooth C CXX)
cmake_minimum_required(VERSION 3.13)

if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake" "${CMAKE_MODULE_PATH}")

set(PACKAGE ${CMAKE_PROJECT_NAME})
set(PROJECT_VERSION 22.2.0)

# Options

option(ENABLE_TESTS "Enable all tests and checks" OFF)
option(ENABLE_COVERAGE "Enable coverage reports (includes enabling all tests and checks)" OFF)
option(ENABLE_WERROR "Treat all build warnings as errors" OFF)

if(ENABLE_COVERAGE)
    set(ENABLE_TESTS ON)
    set(CMAKE_BUILD_TYPE "Coverage")
else()
    set(CMAKE_BUILD_TYPE "Release")
endif()

if(ENABLE_WERROR)
    add_definitions("-Werror")
endif()

if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
    add_definitions("-Weverything")
else()
    add_definitions("-Wall")
endif()

find_package(PkgConfig REQUIRED)
include(GNUInstallDirs)
include(UseVala)

set(GETTEXT_PACKAGE "ayatana-indicator-bluetooth")
set(LOCALEDIR "${CMAKE_INSTALL_FULL_DATADIR}/locale")
add_definitions( -DGETTEXT_PACKAGE="${GETTEXT_PACKAGE}" )

set(SOURCE_DIR "${CMAKE_SOURCE_DIR}/src")
set(SOURCE_BINARY_DIR "${CMAKE_BINARY_DIR}/src")

set(GLIB_2_0_REQUIRED_VERSION 2.32)
set(GIO_2_0_REQUIRED_VERSION 2.25.13)

pkg_check_modules(
    BLUETOOTHSERVICE REQUIRED
    glib-2.0>=${GLIB_2_0_REQUIRED_VERSION}
    gio-unix-2.0>=${GIO_2_0_REQUIRED_VERSION}
    libayatana-common>=0.9.3
)

include_directories(${BLUETOOTHSERVICE_INCLUDE_DIRS})

find_package(Vala 0.20)
find_package(GObjectIntrospection 0.9.12)

include_directories(${SOURCE_DIR})
include_directories(${SOURCE_BINARY_DIR})

configure_file(
  "config.h.in"
  "${CMAKE_CURRENT_BINARY_DIR}/config.h"
)

add_subdirectory(data)
add_subdirectory(src)
add_subdirectory(po)

# testing & coverage

if (ENABLE_TESTS)

    include(CTest)
    enable_testing()

    if (ENABLE_COVERAGE)

        find_package(CoverageReport)

    endif()

endif()

# Display config info

message(STATUS "Install prefix: ${CMAKE_INSTALL_PREFIX}")
message(STATUS "Unit tests: ${ENABLE_TESTS}")
message(STATUS "Build with -Werror: ${ENABLE_WERROR}")

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 set(
   INDICATOR_DIR
-  "${CMAKE_INSTALL_DATADIR}/ayatana/indicators"
+  "${CMAKE_INSTALL_FULL_DATADIR}/ayatana/indicators"
   CACHE FILEPATH "Ayatana Indicators Directory"
 )
 
@@ -32,7 +32,6 @@
   set (SYSTEMD_USER_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${SYSTEMD_USER_NAME}.in")
 
   # build it
-  set (pkglibexecdir "${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}")
   configure_file ("${SYSTEMD_USER_FILE_IN}" "${SYSTEMD_USER_FILE}")
 
   # install it
@@ -69,8 +68,9 @@
 set (SCHEMA_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${SCHEMA_NAME}.in")
 
 # generate the .xml file using intltool
+find_package(Intltool REQUIRED)
 set (ENV{LC_ALL} "C")
-execute_process (COMMAND intltool-merge -quiet --xml-style --utf8 --no-translations "${SCHEMA_FILE_IN}" "${SCHEMA_FILE}")
+intltool_merge_translations("${SCHEMA_FILE_IN}" "${SCHEMA_FILE}" ALL UTF8 STYLE "xml" NO_TRANSLATIONS)
 
 # let UseGSettings do the rest
 add_schema (${SCHEMA_NAME})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -5,11 +5,6 @@
 set(HEADER_PATH "${CMAKE_CURRENT_BINARY_DIR}/ayatana-indicator-bluetooth-service.h")
 set(SYMBOLS_PATH "${CMAKE_CURRENT_BINARY_DIR}/ayatana-indicator-bluetooth-service.def")
 set(VAPI_PATH "${CMAKE_CURRENT_BINARY_DIR}/ayatana-indicator-bluetooth-service.vapi")
-
-if(URLDISPATCHER_FOUND)
-    set (VALA_DEFINE_URLDISPATCHER "--define=HAS_URLDISPATCHER")
-    set (VALA_PKG_URLDISPATCHER "lomiri-url-dispatcher")
-endif()
 
 vala_init(ayatana-indicator-bluetooth-service
   DEPENDS
@@ -19,13 +14,12 @@
     posix
     gio-2.0
     gio-unix-2.0
-    ${VALA_PKG_URLDISPATCHER}
+    AyatanaCommon
   OPTIONS
     --ccode
     --target-glib=${GLIB_2_0_REQUIRED_VERSION}
     --vapidir=${CMAKE_SOURCE_DIR}/vapi/
     --vapidir=.
-    ${VALA_DEFINE_URLDISPATCHER}
 )
 
 vala_add(ayatana-indicator-bluetooth-service
@@ -136,7 +130,6 @@
 target_link_libraries(
   ayatana-indicator-bluetooth-service-lib
   ${BLUETOOTHSERVICE_LIBRARIES}
-  ${URLDISPATCHER_LIBRARIES}
   -lm
 )
 
@@ -168,7 +161,7 @@
 
 install(
   TARGETS ayatana-indicator-bluetooth-service-bin
-  RUNTIME DESTINATION ${CMAKE_INSTALL_LIBEXECDIR}/ayatana-indicator-bluetooth/
+  RUNTIME DESTINATION ${CMAKE_INSTALL_FULL_LIBEXECDIR}/ayatana-indicator-bluetooth/
 )
 
 # coverage reporting

=== debian/changelog ===
ayatana-indicator-bluetooth (22.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 18 Feb 2022 16:30:53 +0100

ayatana-indicator-bluetooth (0.9.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/changelog:
    + Post-upload fix two missing items in last changelog stanza.
  * debian/upstream/metadata:
    + Update points of contact, put UBports Foundation in Donation: field.
  * debian/rules:
    + Use upstream's NEWS as upstream ChangeLog.
    + Adjust for upstream release 0.9.0.
  * debian/copyright:
    + Update auto-generated copyright.in reference file.
    + Update copyright attributions.
  * debian/control:
    + Add B-D: libayatana-common.
    + Bump Standards-Version: to 4.6.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 19 Nov 2021 23:22:09 +0100

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,11 @@
                cmake,
                cmake-extras (>= 0.10),
                intltool,
+               libayatana-common-dev (>= 0.9.3),
                libglib2.0-dev (>= 2.32.0),
                systemd [linux-any],
                valac (>= 0.20),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-bluetooth
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-bluetooth.git

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://releases.ayatana-indicators.org/source/ayatana-indicator-bluetooth/ayatana-indicator-bluetooth-(.+)\.tar\.gz

## ayatana-indicator-bluetooth 22.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake" "${CMAKE_MODULE_PATH}")
 
 set(PACKAGE ${CMAKE_PROJECT_NAME})
-set(PROJECT_VERSION 22.2.0)
+set(PROJECT_VERSION 22.9.0)
 
 # Options

=== debian/changelog ===
ayatana-indicator-bluetooth (22.9.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.6.1. No changes needed.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 15 Sep 2022 19:02:42 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libglib2.0-dev (>= 2.32.0),
                systemd [linux-any],
                valac (>= 0.20),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-bluetooth
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-bluetooth.git

## ayatana-indicator-bluetooth 22.9.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake" "${CMAKE_MODULE_PATH}")
 
 set(PACKAGE ${CMAKE_PROJECT_NAME})
-set(PROJECT_VERSION 22.9.0)
+set(PROJECT_VERSION 22.9.1)
 
 # Options

=== debian/changelog ===
ayatana-indicator-bluetooth (22.9.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 15 Feb 2023 09:15:06 +0100

ayatana-indicator-bluetooth (22.9.0-2) unstable; urgency=medium

  * debian/control:
    + Rework D: for Lomiri.
    + Bump Standards-Version: to 4.6.2. No changes needed

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 Feb 2023 10:38:34 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libglib2.0-dev (>= 2.32.0),
                systemd [linux-any],
                valac (>= 0.20),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-bluetooth
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-bluetooth.git
@@ -24,8 +24,8 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          bluez (>= 5),
-         unity-control-center | mate-control-center | gnome-control-center | ubuntu-system-settings,
-         blueman | blueman-manager | ubuntu-system-settings | gnome-bluetooth,
+         unity-control-center | mate-control-center | gnome-control-center | lomiri-system-settings,
+         blueman | blueman-manager | lomiri-system-settings | gnome-bluetooth,
          ayatana-indicator-common,
 Replaces: gnome-bluetooth (<< 3.6.1-0ubuntu2),
           indicator-bluetooth,

## ayatana-indicator-bluetooth 23.10.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-project(ayatana-indicator-bluetooth C CXX)
 cmake_minimum_required(VERSION 3.13)
+project (ayatana-indicator-bluetooth VERSION 23.10.0 LANGUAGES C CXX)
 
 if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
     SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
@@ -7,21 +7,10 @@
 
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake" "${CMAKE_MODULE_PATH}")
 
-set(PACKAGE ${CMAKE_PROJECT_NAME})
-set(PROJECT_VERSION 22.9.1)
-
 # Options
 
-option(ENABLE_TESTS "Enable all tests and checks" OFF)
-option(ENABLE_COVERAGE "Enable coverage reports (includes enabling all tests and checks)" OFF)
 option(ENABLE_WERROR "Treat all build warnings as errors" OFF)
-
-if(ENABLE_COVERAGE)
-    set(ENABLE_TESTS ON)
-    set(CMAKE_BUILD_TYPE "Coverage")
-else()
-    set(CMAKE_BUILD_TYPE "Release")
-endif()
+set (CMAKE_BUILD_TYPE "Release")
 
 if(ENABLE_WERROR)
     add_definitions("-Werror")
@@ -71,23 +60,7 @@
 add_subdirectory(src)
 add_subdirectory(po)
 
-# testing & coverage
-
-if (ENABLE_TESTS)
-
-    include(CTest)
-    enable_testing()
-
-    if (ENABLE_COVERAGE)
-
-        find_package(CoverageReport)
-
-    endif()
-
-endif()
-
 # Display config info
 
 message(STATUS "Install prefix: ${CMAKE_INSTALL_PREFIX}")
-message(STATUS "Unit tests: ${ENABLE_TESTS}")
 message(STATUS "Build with -Werror: ${ENABLE_WERROR}")

=== debian/changelog ===
ayatana-indicator-bluetooth (23.10.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:33:35 +1100

ayatana-indicator-bluetooth (23.10.0-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 03:53:12 +0000

ayatana-indicator-bluetooth (23.10.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update copyright attribution for debian/.
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 31 Jan 2024 18:20:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ayatana-indicator-bluetooth
 Section: misc
 Priority: optional
-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Debian UBports Team <team+ubports@tracker.debian.org>,

=== debian/rules ===
#!/usr/bin/make -f

NULL =

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DEB_CMAKE_EXTRA_FLAGS = \
    -DCMAKE_INSTALL_LOCALSTATEDIR="/var" \
    -DENABLE_TESTS=ON \
    -DENABLE_COVERAGE=OFF \
    $(NULL)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CMAKE_EXTRA_FLAGS)

override_dh_missing:
	dh_missing --fail-missing

override_dh_installchangelogs:
	dh_installchangelogs NEWS

# For live test logs:
#override_dh_auto_test:
#	ARGS=-V dh_auto_test

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## ayatana-indicator-bluetooth 24.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.13)
-project (ayatana-indicator-bluetooth VERSION 23.10.0 LANGUAGES C CXX)
+project (ayatana-indicator-bluetooth VERSION 24.5.0 LANGUAGES C CXX)
 
 if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
     SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -63,14 +63,4 @@
 # GSettings
 ###########################
 
-set (SCHEMA_NAME "org.ayatana.indicator.bluetooth.gschema.xml")
-set (SCHEMA_FILE "${CMAKE_CURRENT_BINARY_DIR}/${SCHEMA_NAME}")
-set (SCHEMA_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${SCHEMA_NAME}.in")
-
-# generate the .xml file using intltool
-find_package(Intltool REQUIRED)
-set (ENV{LC_ALL} "C")
-intltool_merge_translations("${SCHEMA_FILE_IN}" "${SCHEMA_FILE}" ALL UTF8 STYLE "xml" NO_TRANSLATIONS)
-
-# let UseGSettings do the rest
-add_schema (${SCHEMA_NAME})
+add_schema ("org.ayatana.indicator.bluetooth.gschema.xml")

=== debian/changelog ===
ayatana-indicator-bluetooth (24.5.0-3) unstable; urgency=medium

  * debian/patches:
    + Add 0001_Add-desktop-greeter-profile.patch. Show BT indicator also in
      Lomiri Greeter.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 06 Jun 2025 15:39:42 +0200

ayatana-indicator-bluetooth (24.5.0-2) unstable; urgency=medium

  * debian/control:
    + Move to S: <desktop>-(control-center|system-settings) and bluetooth
      manager packages. On Lomiri (and probably) other environments, this
      pulls in too many dependencies that should be pulled in via the desktop
      environment itself, instead.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 24 Jan 2025 10:33:24 +0100

ayatana-indicator-bluetooth (24.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 22 May 2024 08:56:43 +0200

ayatana-indicator-bluetooth (23.10.0-2) unstable; urgency=medium

  * debian/control:
    + Replace systemd by systemd-dev in B-D. (Closes: #1060551).
    + Bump Standards-Version to 4.7.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 May 2024 16:46:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ayatana-indicator-bluetooth
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
+Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Debian UBports Team <team+ubports@tracker.debian.org>,
@@ -12,9 +11,9 @@
                intltool,
                libayatana-common-dev (>= 0.9.3),
                libglib2.0-dev (>= 2.32.0),
-               systemd [linux-any],
+               systemd-dev [linux-any],
                valac (>= 0.20),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-bluetooth
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-bluetooth.git
@@ -25,9 +24,9 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          bluez (>= 5),
-         unity-control-center | mate-control-center | gnome-control-center | lomiri-system-settings,
-         blueman | blueman-manager | lomiri-system-settings | gnome-bluetooth,
          ayatana-indicator-common,
+Suggests: unity-control-center | mate-control-center | gnome-control-center | lomiri-system-settings,
+          blueman | blueman-manager | lomiri-system-settings | gnome-bluetooth,
 Replaces: gnome-bluetooth (<< 3.6.1-0ubuntu2),
           indicator-bluetooth,
 Breaks: gnome-bluetooth (<< 3.6.1-0ubuntu2),
